Bug 52871 - New port: sysutils/ccze (A fast log colorizer)
Summary: New port: sysutils/ccze (A fast log colorizer)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-06-02 17:30 UTC by Nicolas Jombart
Modified: 2003-06-03 02:52 UTC (History)
1 user (show)

See Also:


Attachments
ccze.shar (2.40 KB, text/plain)
2003-06-02 17:30 UTC, Nicolas Jombart
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolas Jombart 2003-06-02 17:30:07 UTC
	


Ccze is a fast, C port of the well known colorize log colorizer.
It uses ncurses for the output and PCRE for matching. It is also
extensible via plug-ins.
Plugins for apm, exim, fetchmail, httpd, postfix, procmail, squid,
syslog, ulogd, vsftpd, xferlog and more are provided.

WWW: http://bonehunter.rulez.org/CCZE.phtml
Comment 1 Nicolas Jombart 2003-06-02 19:00:29 UTC
On Mon, Jun 02, 2003 at 06:21:09PM +0200, Nicolas Jombart wrote:
> WWW: http://bonehunter.rulez.org/CCZE.phtml

Mental note: double-check pkg-plist before submitting. Sorry.

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	ccze
#	ccze/distinfo
#	ccze/pkg-descr
#	ccze/Makefile
#	ccze/pkg-plist
#
echo c - ccze
mkdir -p ccze > /dev/null 2>&1
echo x - ccze/distinfo
sed 's/^X//' >ccze/distinfo << 'END-of-ccze/distinfo'
XMD5 (ccze-0.2.1.tar.gz) = 221966bce7c5f011eca38157241a0432
END-of-ccze/distinfo
echo x - ccze/pkg-descr
sed 's/^X//' >ccze/pkg-descr << 'END-of-ccze/pkg-descr'
XCcze is a fast, C port of the well known colorize log colorizer.
XIt uses ncurses for the output and PCRE for matching. It is also
Xextensible via plug-ins.
XPlugins for apm, exim, fetchmail, httpd, postfix, procmail, squid,
Xsyslog, ulogd, vsftpd, xferlog and more are provided.
X
XWWW: http://bonehunter.rulez.org/CCZE.phtml
END-of-ccze/pkg-descr
echo x - ccze/Makefile
sed 's/^X//' >ccze/Makefile << 'END-of-ccze/Makefile'
X# New ports collection makefile for:    ccze
X# Date Created:                         2nd june 2003
X# Whom:                                 Nicolas Jombart <ecu@ipv42.net>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	ccze
XPORTVERSION=	0.2.1
XCATEGORIES=	sysutils
XMASTER_SITES=	ftp://bonehunter.rulez.org/pub/ccze/stable/
X
XMAINTAINER=	ecu@ipv42.net
XCOMMENT=	A (fast) log colorizer
X
XLIB_DEPENDS=	pcre.0:${PORTSDIR}/devel/pcre
X
XGNU_CONFIGURE=	yes
XUSE_GMAKE=	yes
XINSTALLS_SHLIB=	yes
X
XMAN1=		ccze.1 ccze-cssdump.1
XMAN7=		ccze-plugin.7
X
Xpost-install:
X	@${WRKSRC}/src/ccze-dump > ${PREFIX}/etc/cczerc-sample
X.if !defined(NOPORTDOCS)
X	@${MKDIR} ${DOCSDIR}
X	${INSTALL_DATA} ${WRKSRC}/FAQ ${DOCSDIR}
X.endif
X
X.include <bsd.port.mk>
END-of-ccze/Makefile
echo x - ccze/pkg-plist
sed 's/^X//' >ccze/pkg-plist << 'END-of-ccze/pkg-plist'
Xbin/ccze
Xbin/ccze-cssdump
Xetc/cczerc-sample
Xinclude/ccze.h
Xlib/ccze/apm.so
Xlib/ccze/distcc.so
Xlib/ccze/exim.so
Xlib/ccze/fetchmail.so
Xlib/ccze/ftpstats.so
Xlib/ccze/httpd.so
Xlib/ccze/icecast.so
Xlib/ccze/oops.so
Xlib/ccze/php.so
Xlib/ccze/postfix.so
Xlib/ccze/procmail.so
Xlib/ccze/proftpd.so
Xlib/ccze/squid.so
Xlib/ccze/sulog.so
Xlib/ccze/super.so
Xlib/ccze/syslog.so
Xlib/ccze/ulogd.so
Xlib/ccze/vsftpd.so
Xlib/ccze/xferlog.so
X@unexec rmdir %D/lib/ccze 2>/dev/null || true
X%%PORTDOCS%%%%DOCSDIR%%/FAQ
X%%PORTDOCS%%@dirrm share/doc/ccze
END-of-ccze/pkg-plist
exit
Comment 2 Will Andrews freebsd_committer 2003-06-03 02:52:07 UTC
State Changed
From-To: open->closed

Committed, thanks.